//
//  TabBarController.m
//  ex_shouldAutorotate_tabBarController ver2
//
//  Created by yoshiyuki oshige on 2013/09/15.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "TabBarController.h"

@interface TabBarController ()

@end

@implementation TabBarController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// オートローテーションをすべきかどうか調べる
- (BOOL)shouldAutorotate {
    // 選択されているタブのViewControllerにYES/NO の回答を問い合わせる
    return [self.selectedViewController shouldAutorotate];
}

// オートローテーションで画面が回転する方向を許可する
- (NSUInteger)supportedInterfaceOrientations {
    // 選択されているタブのViewControllerが許可している回転方向を返す
    return [self.selectedViewController supportedInterfaceOrientations];
}

//タブバーの表示／非表示
- (void)showTabBar:(BOOL)isShow
{
    //タブバーを取得する
    UITabBar *tabBar = self.tabBar;
    tabBar.hidden = !isShow;
}

@end
