//
//  MyAnnotation.h
//  ex_MapKit search
//
//  Created by yoshiyuki oshige on 2013/09/21.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <MapKit/MapKit.h>

@interface MyAnnotation : NSObject <MKAnnotation>
// MKAnnotationプロトコルにしたがって宣言する
@property(nonatomic)CLLocationCoordinate2D coordinate;
@property(nonatomic, copy) NSString *title;

// カスタムイニシャライザ
-(id)initWithCoordinate:(CLLocationCoordinate2D)pinCoordinate title:(NSString *)pinTitle;

@end
