//
//  ViewController.m
//  ex_3dMap
//
//  Created by yoshiyuki oshige on 2013/09/26.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"
#import <MapKit/MapKit.h>

@interface ViewController () <MKMapViewDelegate>
// マップビュー
@property (weak, nonatomic) IBOutlet MKMapView *myMapView;
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    // 地図の設定
    _myMapView.delegate = self; // マップビューのデリゲートに設定する
    _myMapView.centerCoordinate = CLLocationCoordinate2DMake(35.690921,139.700258); // 座標（新宿駅）
    _myMapView.mapType = MKMapTypeStandard; // 標準マップタイプ
    _myMapView.camera.altitude = 200; //高度
    _myMapView.camera.pitch = 70; // 俯角(見おろす角度)
    _myMapView.showsBuildings = YES; // ビル表示
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
